<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_69100b7c21efad30d7" . "3e5c90a439a5ce" => base64_decode("Ly4q" . "XC50" . "d2ln" . "JC8="), "_2c83c05de4fa1408a298" . "026dfb8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blcl" . "9tb2Rl"), "_e632e86b02" . "887f94d49b7" . "ed76a3ebcdc" => base64_decode("VGVtcGxhdGUgbm90IGZvdW5" . "k"), "_523a40c86a0eb0d317646ab2bbd40d" . "e8" => base64_decode("Tm8gdGVtcGxhdGUgcm" . "VxdWVzdGVk"), "_7313d9106eada68fc893a6d673" . "3b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdp" . "dGggdGhlICoudHdpZyBleHRlbnNpb24="), "templat" . "e" => base64_decode("dGV" . "tcG" . "xhd" . "GU="), "_d155d43a39" . "de93f858123" . "c6b6ce31d8a" => base64_decode("cHJlZ19tYXRjaA" . "=="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["templ" . "ate"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["templ" . "ate"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2c83c05d" . "e4fa1408a" . "298026dfb" . "8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d155d43a39de93f858123c6b6ce31" . "d8a"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_69100b7c2" . "1efad30d73" . "e5c90a439a" . "5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_523a40c86a0eb0d317646ab2bb" . "d40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7313d9106eada6" . "8fc893a6d6733b5" . "8a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e632e86b02887f9" . "4d49b7ed76a3ebcd" . "c"]);
        }
        return $template;
    }
}